New 4DSSE Code 0.0.1a |

Loading...
Searching...
No Matches
Classes
LockableDObject.h File Reference

A lightweight wrapper for DObject that adds locking capabilities. More...

`#include "DObject.h"`
`#include <mutex>`

Go to the source code of this file.

## Classes
class | LockableDObject
| Wrapper for DObject with thread-safe access. More...

## Detailed Description

A lightweight wrapper for DObject that adds locking capabilities.

This class allows safe concurrent access to a DObject by providing locking and unlocking methods.